From b256bfd783220f073e0e0d5a4e86dcd9a4d2be47 Mon Sep 17 00:00:00 2001
From: Wesley Moore <wes@wezm.net>
Date: Thu, 13 Feb 2025 20:32:39 +1000
Subject: [PATCH] Fix test_math test

---
 tests/test_math.sh | 11 ++++++++++-
 1 file changed, 10 insertions(+), 1 deletion(-)

diff --git a/tests/test_math.sh b/tests/test_math.sh
index 83307d3..56020e4 100644
--- a/tests/test_math.sh
+++ b/tests/test_math.sh
@@ -2,6 +2,15 @@
 
 test_add64() {
   result=$("${QEMU}" -B 0x80000000 -s 2k tests/math_add64.elf)
+  # 3.5
+  # 3.75
+  expected=$(cat << END
+00000003.80000000
+00000003.C0000000
+END
+)
 
-  test $? -eq 0 && test "${result}" = "00000003.80000000\n00000003.C0000000" # 3.5, 3.75
+  # TODO: Ideally this test would allow calling the binary repeatedly with
+  # different inputs.
+  test $? -eq 0 && test "$result" = "$expected"
 }